config/routes.rb
Rails.application.routes.draw do
    resources :games
    resources :places

end

app/models/game.rb
class Game < ActiveRecord::Base
end

app/models/place.rb
class Place < ActiveRecord::Base
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

app/controllers/games_controller.rb
class GamesController < ApplicationController
    def index
        @games = Game.all
    end  
    
    def show
        @game = Game.find(params[:id])
    end  
    def new
        @game = Game.new
    end
    def create
        @game = Game.new(game_params) 
        respond_to do |format|
        if @game.save
                format.html { redirect_to games_path, notice: 'Game was successfully created.' }
                format.json { render :show, status: :created, location: @game }
            else
                format.html { render :new }
                format.json { render json: @game.errors, status: :unprocessable_entity }
            end
        end
    end
    
    private
    # Use callbacks to share common setup or constraints between actions.
    def set_place
      @place = Place.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def game_params
        params["time_start"] = "May"
        params.require(:game).permit(:sport, :date, :time_start, :time_end, :place, :latitude, :longitude,:price_total,:number_of_players)
    end
    
    
end

app/controllers/places_controller.rb
class PlacesController < ApplicationController
  before_action :set_place, only: [:show, :edit, :update, :destroy]

  # GET /places
  # GET /places.json
  def index
    @places = Place.all
  end

  # GET /places/1
  # GET /places/1.json
  def show
  end

  # GET /places/new
  def new
    @place = Place.new
  end

  # GET /places/1/edit
  def edit
  end

  # POST /places
  # POST /places.json
  def create
    @place = Place.new(place_params)

    respond_to do |format|
      if @place.save
        format.html { redirect_to @place, notice: 'Place was successfully created.' }
        format.json { render :show, status: :created, location: @place }
      else
        format.html { render :new }
        format.json { render json: @place.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /places/1
  # PATCH/PUT /places/1.json
  def update
    respond_to do |format|
      if @place.update(place_params)
        format.html { redirect_to @place, notice: 'Place was successfully updated.' }
        format.json { render :show, status: :ok, location: @place }
      else
        format.html { render :edit }
        format.json { render json: @place.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /places/1
  # DELETE /places/1.json
  def destroy
    @place.destroy
    respond_to do |format|
      format.html { redirect_to places_url, notice: 'Place was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_place
      @place = Place.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def place_params
      params.require(:place).permit(:name, :street, :house, :price, :phone, :latitude, :longitude)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/games_helper.rb
module GamesHelper
end

app/helpers/places_helper.rb
module PlacesHelper
end

app/views/games/_form.html.erb
 <%= bootstrap_form_for(@game, layout: :inline) do |f| %>
    <% if @game.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@game.errors.count, "error") %> prohibited this place from being saved:</h2>
      <ul>
      <% @game.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

<div class="col-md-12 margin-top-20">
    <%= f.form_group :sport do %>
      <%= f.radio_button :sport, "Футбол", label: "Футбол", checked: true, inline: true, icon: "user"  %>
      <%= f.radio_button :sport, "Баскетбол", label: "Баскетбол", inline: true  %>
    <%= f.radio_button :sport, "Волейбол", label: "Волейбол", inline: true  %>
    <%= f.radio_button :sport, "Фитнесс", label: "Фитнесс", inline: true  %>
    <%= f.radio_button :sport, "Йога", label: "Йога", inline: true  %>
    <%= f.radio_button :sport, "Бег", label: "Бег", inline: true  %>
    <% end %>
</div>


<div class="col-md-12 margin-top-20">
    <%= f.text_field :date, skip_label: true, id: "game_date", value: "Сегодня", size: "20" %>
    C&nbsp;<%= f.text_field :time_start, skip_label: true, class: "timepicker", size: "7" %>
    до&nbsp;<%= f.text_field :time_end, skip_label: true, class: "timepicker", size: "7" %>
    
</div>
<div class="col-md-12 margin-top-20">
    <%= f.text_field :place, skip_label: true, id: "game_place", value: "Где", size: "65" %>
    <%= f.number_field :latitude, label: 'Долгота'  %>
    <%= f.number_field :longitude, label: 'Широта' %>
</div>

<div class="col-md-12 margin-top-20">
    <%= f.number_field :price_total, skip_label: true, append: 'грн', prepend: 'Общая стоимость', value:'500' %>
</div>

<div class="col-md-12 margin-top-20">
    <%= f.number_field :number_of_players, skip_label: true, prepend: 'Со мной будет еще', append: 'игроков', value: '5' %>
</div>


<div class="col-md-12 margin-top-20 ">
    <%= f.submit "Опубликовать", class: "btn btn-large btn-primary" %>
</div>
<% end %>

app/views/games/_map.erb
	<div id="markers">
		<div id="m1" class="drag" style="background-image: url('/assets/marker-5d85dfecc2f63a8fff5915637f4c3b3a267b8653fd156aa7e7fb32f0f6edbca8.png')"></div>
	</div>

	<div id="map" class="col-md-12 no-padding"></div>

app/views/games/index.html.erb
<div class="col-md-6 feed-wrapper">
    <% @games.reverse_each do |game| %>
    <div class="col-md-12 event">
        <div class="event-sport col-md-12">
            <h5><%= game.sport %></h5>
        </div>
        <div class="event-time-place col-md-12">
            <div class="event-date"><%= game.date %> в <%= game.time_start %><sup>2 часа</sup></div>
            <div class="event-place">пос. Котовского &mdash; <a><%= game.place %> </a> </div>           
        </div>
        
        <div class="highlight event-price col-md-12 no-padding">
           <div class="event-price col-md-5">
                <strong><%= game.price_total %></strong> грн/чел
            </div>
            <div class="event-people col-md-5">
                Идут <strong><%= game.number_of_players %></strong> человек
            </div>
        </div>
        
    </div>
    <% end %>
</div> 
<div class="col-md-6 no-padding full-height game">
   <%= render 'map' %>
</div>    

app/views/games/new.html.erb
<% provide(:title, 'Создать игру') %>
<div class="col-md-12">
    <div class="col-md-4">
        <h1>Создать игру</h1>
         <%= render 'form' %>
    </div>
    <div class="col-md-7 no-padding full-height game">
	   <%= render 'map' %>
    </div>
</div>
    
     

app/views/games/show.html.erb
<% provide(:title, @game.place) %>

в <%= @game.sport %><br>
создал <%= @game.owner %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
	<title>Sporting</title>
	<script src="https://maps.googleapis.com/maps/api/js"></script>
	<%= stylesheet_link_tag		'application', media: 'all', 'data-turbolinks-track' => true %>
	<%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
	<%= csrf_meta_tags %>



</head>
<body>
<header>
	<h3>SPORTING</h3>
</header>
<!-- <div id="main-container" class="container"> -->
	<div class="row row-eq-height">
			<%= yield %>
	</div>
<!-- </div> -->


</body>
</html>

app/views/places/_form.html.erb
<%= bootstrap_form_for(@place) do |f| %>
  <% if @place.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@place.errors.count, "error") %> prohibited this place from being saved:</h2>

      <ul>
      <% @place.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  

  <%= f.text_field :name, label: 'Название', value: "Дерби", wrapper: { class: 'col-xs-6'} %>
  <%= f.number_field :number_of_fields, label: 'Площадки', append: "шт.", wrapper: { class: 'col-xs-3 margin-bottom-xs '} %>
  
  <%= f.text_field :street, label: 'Улица', wrapper: { class: 'col-xs-6'} %>
  <%= f.number_field :house, label: 'Номер дома', wrapper: { class: 'col-xs-3 margin-bottom-xs '} %>
  
<div class="col-xs-12 margin-bottom-xs no-padding">
  <%= f.number_field :latitude, label: 'Долгота', wrapper: { class: 'col-xs-3 margin-bottom-xs '} %>
   <%= f.number_field :longitude, label: 'Широта', wrapper: { class: 'col-xs-3 margin-bottom-xs '} %>
</div>  
  <%= f.text_area :notes, label: 'Заметки', wrapper: { class: 'col-xs-9 margin-bottom-xs'} %>
  
  <%= f.text_field :sports, label: 'Виды спорта', wrapper: { class: 'col-xs-9 margin-bottom-xs'}, value: "Футбол,Волейбол,Баскетбол"  %>
	
	<div class="col-xs-12 margin-bottom-xs no-padding">
	<label class="control-label col-xs-12 " >Время работы</label>	
	
	<div class='col-xs-3'>
		<%= f.time_select :start_time, hide_label: true,:default => {:hour => '9', :minute => '00'} %> 
	</div>
	
	<div class='col-xs-5'>
		<%= f.time_select :end_time, hide_label: true, :default => {:hour => '22', :minute => '00'} %>
	</div>
  </div>
  
	<div class="col-xs-12 margin-bottom-xs no-padding">
		<label class="control-label col-xs-12 " >Стоимость часа</label>	
		<%= f.number_field :price_from, hide_label: true, value: '200', prepend: 'От', append: 'грн',wrapper: { class: 'col-xs-4'} %> 
		<%= f.number_field :price_to, hide_label: true, value: '500',prepend: 'до',append: 'грн', wrapper: { class: 'col-xs-4'} %>
  	</div>
  
	<%= f.telephone_field :phone, label: 'Телефон',prepend: '+380', wrapper: { class: 'col-xs-5 margin-bottom-xs'} %>
	<%= f.text_field :nickname, prepend: '@', label: 'Твитер', wrapper: { class: 'col-xs-4 margin-bottom-xs'} %>
  
  
  <div class="col-xs-12">
	  <%= f.submit "Создать"%>
	</div>


<% end %>

app/views/places/_map.html.erb
	<div id="markers" class="col-xs-2">
		<div id="m1" class="drag" style="background-image: url('/assets/marker-5d85dfecc2f63a8fff5915637f4c3b3a267b8653fd156aa7e7fb32f0f6edbca8.png')"></div>
	</div>

	<div id="map" class="col-xs-10 no-padding"></div>

app/views/places/edit.html.erb
<h1>Editing Place</h1>

<%= render 'form' %>

<%= link_to 'Show', @place %> |
<%= link_to 'Back', places_path %>

app/views/places/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Listing Places</h1>

<table>
  <thead>
    <tr>
      <th>Название</th>
      <th>Адрес</th>
      <th></th>
	  <th>Площадки</th>
      <th>Цена за час</th>
      <th>Виды спорта</th>
	  <th>Телефон</th>
	  <th>Заметки</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @places.each do |place| %>
      <tr>
        <td><%= place.name %></td>
        <td><%= place.street %></td>
        <td><%= place.house %></td>
		<td><%= place.number_of_fields %></td>
        <td><%= place.price_from%> - <%= place.price_to%></td>
		<td><%= place.sports %></td>
        <td><%= place.phone %></td>
        <td><%= place.notes %></td>
        <td><%= link_to 'Показать', place %></td>
        <td><%= link_to 'Изменить', edit_place_path(place) %></td>
        <td><%= link_to 'Удалить', place, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>
<%= link_to 'Добавить место', new_place_path, class: 'btn btn-success' %>

app/views/places/new.html.erb
<div class="col-xs-5">
	<div class="full-height col-xs-12">
		<%= link_to 'Back', places_path, class: "col-xs-12 margin-bottom-xs margin-top-xs" %>	
		
		<h4 class="col-xs-12 margin-bottom-xs ">Создание спортивного места</h4>
		<%= render 'form' %>
		
	</div>
</div>
<div class="col-xs-7 no-padding full-height">
	<%= render 'map' %>
</div>
<!-- <iframe class="map col-xs-6 row-no-padding" src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d43926.92035387134!2d30.772373559466985!3d46.51934238605674!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sru!2sua!4v1453584643390"  frameborder="0" style="border:0" allowfullscreen></iframe> -->

app/views/places/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Название:</strong>
  <%= @place.name %>
</p>

<p>
  <strong>Адрес:</strong>
  <%= @place.street %>, <%= @place.house %>
</p>


<p>
  <strong>Цена за час:</strong>
  <%= @place.price_from %> - <%= @place.price_to %>
</p>

<p>
  <strong>Виды спорта:</strong>
  <%= @place.sports %>
</p>


<p>
  <strong>Заметки:</strong>
  <%= @place.notes %>
</p>


<p>
  <strong>Телефон:</strong>
  <%= @place.phone %>
</p>



<%= link_to 'Изменить', edit_place_path(@place) %> |
<%= link_to 'Назад', places_path %>